Bug 480754 - Review Request: udev-extras - extra rules and tools for udev
Summary: Review Request: udev-extras - extra rules and tools for udev
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-01-20 11:02 UTC by Harald Hoyer
Modified: 2009-02-10 22:45 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-29 23:05:52 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mclasen: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Harald Hoyer 2009-01-20 11:02:09 UTC
Spec URL: http://harald.fedorapeople.org/downloads/udev-extras/udev-extras.spec
SRPM URL: http://harald.fedorapeople.org/downloads/udev-extras/udev-extras-20081230-0.1.20090120git.fc10.src.rpm
Description: 

Here is udev-extras which is needed for DeviceKit

Comment 1 Matthias Clasen 2009-01-20 14:40:08 UTC
Misses some build deps:

BuildRequires: glib2-devel
BuildRequires: libusb-devel
BuildRequires: libxslt

Adding those three makes the build succeed in mock

Comment 2 Matthias Clasen 2009-01-20 14:42:23 UTC
rpmlint says:

udev-extras.i386: E: zero-length /usr/share/doc/udev-extras-20081230/ChangeLog
udev-extras.i386: E: zero-length /usr/share/doc/udev-extras-20081230/README
udev-extras.i386: W: incoherent-version-in-changelog 20081230-0.git20090120.1 ['20081230-0.1.20090120git.fc11', '20081230-0.1.20090120git']
3 packages and 0 specfiles checked; 2 errors, 1 warnings.

So I guess you want to remove those 0 length files

Comment 3 Matthias Clasen 2009-01-20 15:16:22 UTC
package name: ok
spec file name: ok
packaging guidelines: ok
license: ok
license field: from a brief look, it appears that probe-modem is GPLv2, while 
  the rest is GPLv2+. Might just be an oversight, worth checking with dcbw. If
  it is not, the license field needs to reflect that
license file: ok
spec language: ok
spec readable: ok
upstream sources: should add a comment explaining where to get the sources
buildable: ok
excludearch: ok
build deps: need to add glib2-devel, libusb-devel, libxslt
locales: ok
shared libs: n/a
relocatable: n/a
directory ownership: ok
duplicate files: ok
permissions: ok
%clean: ok
macro use: ok
permissible content: ok
large docs: ok
%doc content: ok
header files: n/a
static libs: n/a
pc files: n/a
shared libs: n/a
devel package: n/a
la files: ok
gui: n/a
file ownership: ok
%install: ok, though I don't see why you create sbindir if you don't install any content there ?
utf8 filenames: ok


summary:
- fix build deps
- clarify license
- add source comment

Comment 5 Matthias Clasen 2009-01-20 17:16:51 UTC
Looks fine now. Approved.

Comment 6 Harald Hoyer 2009-01-20 18:59:20 UTC
New Package CVS Request
=======================
Package Name: udev-extras
Short Description: extra rules and tools for udev
Owners: harald
Branches: devel
InitialCC:

Comment 7 Harald Hoyer 2009-01-20 19:00:02 UTC
New Package CVS Request
=======================
Package Name: udev-extras
Short Description: extra rules and tools for udev
Owners: harald
Branches: F-10 devel
InitialCC:

Comment 8 Kevin Fenzi 2009-01-20 20:36:34 UTC
cvs done.

Comment 9 Kay Sievers 2009-01-26 15:45:44 UTC
(In reply to comment #3)
> license field: from a brief look, it appears that probe-modem is GPLv2, while 
>   the rest is GPLv2+. Might just be an oversight, worth checking with dcbw. If
>   it is not, the license field needs to reflect that

Checked with dcbw, changed everything to "GPLv2 or later", like the main udev.

Comment 10 Matthias Clasen 2009-01-29 23:05:52 UTC
Has been built a while ago

Comment 11 Harald Hoyer 2009-02-09 08:48:16 UTC
Package Change Request
======================
Package Name: udev-extras
New Branches: F-9
Owners: harald

Comment 12 Kevin Fenzi 2009-02-10 22:45:29 UTC
cvs done.


Note You need to log in before you can comment on or make changes to this bug.